Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD ObjectARX und .NET
  vb.net - im Layout zoom Fenster

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   vb.net - im Layout zoom Fenster (491 mal gelesen)
tappenbeck
Mitglied
Vermessungsingenieur


Sehen Sie sich das Profil von tappenbeck an!   Senden Sie eine Private Message an tappenbeck  Schreiben Sie einen Gästebucheintrag für tappenbeck

Beiträge: 1171
Registriert: 30.05.2002

AutoCAD (Map)2019, Topobase, MapEdit, Lisp, .vb.net

erstellt am: 24. Mrz. 2020 12:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin!

die Ausgangslage ist das ein Layout mit einem Ansichtsfenster aktiv ist.

Nun soll in dieses Ansichtsfenster gewechselt werden und dort ein Bereich über Zoom-Fenster geöffnet werden.

Am Ende das AF wieder deaktivieren.

Ich habe allerdings derzeit keine Idee, wie ich das umsetzen könnte.

Kann mir einer weiterhelfen?

Jan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tappenbeck
Mitglied
Vermessungsingenieur


Sehen Sie sich das Profil von tappenbeck an!   Senden Sie eine Private Message an tappenbeck  Schreiben Sie einen Gästebucheintrag für tappenbeck

Beiträge: 1171
Registriert: 30.05.2002

AutoCAD (Map)2019, Topobase, MapEdit, Lisp, .vb.net

erstellt am: 02. Apr. 2020 08:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin!

hier noch eine kurze Lösung die ich zwischenzeitlich gefunden habe:

Code:

Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD
Imports Autodesk.AutoCAD.ApplicationServices

...

'Update der Verbindung zur aktuellen DWG
    <Global.System.Diagnostics.DebuggerStepThroughAttribute()>
    Private Sub AcReInit()
        'TODO: Add constructor logic here
        Try
            _AcDocument = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument
            _Editor = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor
            _Database = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Database
        Catch ex As System.Exception
            _TryReport.Show("unvorhergesehener Fehler in EBL.Service > Acad > AcReInit", "")
        End Try

    End Sub
....

''' <summary>
    ''' Zoom Punkt mit Fensterbreite
    ''' </summary>
    ''' <param name="R_UL">Rechtswert des Bezugspunkt - unten links</para1m>
    ''' <param name="H_UL">Hochwert des Bezugspunkt - unten links</param>
    ''' <param name="R_OR">Rechtswert des Bezugspunkt - oben rechts</para1m>
    ''' <param name="H_OR">Hochwert des Bezugspunkt - oben rechts</param>
    ''' <param name="DialogTitle">optional Titelzeile bei Fehler</param>
    Public Function ZoomWindow(ByVal R_UL As Double, ByVal H_UL As Double, ByVal R_OR As Double, ByVal H_OR As Double, Optional ByVal DialogTitle As String = _k_CompanyName) As Boolean
        ' ------ http://ma22-wiki-001/eblwiki/index.php?title=Acad_(Klasse_von_EBL.Service)#Zoom_Window ------
        Dim AcDoc As Autodesk.AutoCAD.ApplicationServices.Document = Autodesk.AutoCAD.ApplicationServices.Core.Application.DocumentManager.MdiActiveDocument
        Dim cmd As String = ""
        Dim Rückgabewert As Boolean = True
        AcReInit()

        Try
            ' Quelle: https://www.keanw.com/2008/06/zooming-to-a-wi.html

            Dim min2d As Point2d = New Point2d(R_UL, H_UL)
            Dim max2d As Point2d = New Point2d(R_OR, H_OR)
            Dim view As ViewTableRecord = New ViewTableRecord()
        view.CenterPoint = min2d + ((max2d - min2d) / 2.0)
        view.Height = max2d.Y - min2d.Y
        view.Width = max2d.X - min2d.X
            AcDoc.Editor.SetCurrentView(view)

        Catch ex As Exception
            Dim TryReport As New EBL.Logger.TryCatchReport
            TryReport.Show("unerwarteter Fehler in EBL.Service > Miscellaneous" & " ZoomWindow ",
                          ex.ToString & vbCrLf & "cmd: " & cmd, DialogTitle)
            Rückgabewert = False

        End Try

        Return Rückgabewert
    End Function


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz